Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdVertex Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | x ([out, retval] RtFloat *pVal)
HRESULT | x ([in] RtFloat newVal)
HRESULT | y ([out, retval] RtFloat *pVal)
HRESULT | y ([in] RtFloat newVal)
HRESULT | z ([out, retval] RtFloat *pVal)
HRESULT | z ([in] RtFloat newVal)
HRESULT | Normalize ()
HRESULT | GetLength ([out, retval] RtFloat *pVal)
HRESULT | DotProduct ([in] RtFloat fCoef)
HRESULT | Add ([in] IRdVertex *pV)
HRESULT | Sub ([in] IRdVertex *pV)
HRESULT | GetDistanceFrom ([in] IRdVertex *pV,[out, retval] RtFloat *pVal)
HRESULT | SProduct ([in] IRdVertex *pV,[out, retval] RtFloat *pVal)
HRESULT | XProduct ([in] IRdVertex *pV,[out, retval] IRdVertex **pCross)

## Detailed Description

The IRdVertex object represents vector or point in 3D space

## Member Function Documentation

HRESULT IRdVertex::x | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets x coordinate Parameters:
  pVal | x coordinate

HRESULT IRdVertex::x | ( | [in] RtFloat | newVal | ) |

  | Sets x coordinate Parameters:
  pVal | x coordinate

HRESULT IRdVertex::y | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets y coordinate Parameters:
  pVal | y coordinate

HRESULT IRdVertex::y | ( | [in] RtFloat | newVal | ) |

  | Sets y coordinate Parameters:
  pVal | y coordinate

HRESULT IRdVertex::z | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets z coordinate Parameters:
  pVal | z coordinate

HRESULT IRdVertex::z | ( | [in] RtFloat | newVal | ) |

  | Sets z coordinate Parameters:
  pVal | z coordinate

HRESULT IRdVertex::Normalize | ( |  | ) |

| Normalizes vector to unit length

HRESULT IRdVertex::GetLength | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns length of vector Parameters:
  pVal | length of vector

HRESULT IRdVertex::DotProduct | ( | [in] RtFloat | fCoef | ) |

  | Multiplies vector by scalar coefficient Parameters:
  fCoef | scalar coefficient

HRESULT IRdVertex::Add | ( | [in] IRdVertex * | pV | ) |

  | Adds vector Parameters:
  pV | vector to add

HRESULT IRdVertex::Sub | ( | [in] IRdVertex * | pV | ) |

  | Substracts vector Parameters:
  pV | vector to substract

HRESULT IRdVertex::GetDistanceFrom | ( | [in] IRdVertex * | pV,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Returns distance from given point Parameters:
  pV | point
  pVal | distance

HRESULT IRdVertex::SProduct | ( | [in] IRdVertex * | pV,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Returns dot product with an arbitrary vector Parameters:
  pV | vector
  pVal | dot product

HRESULT IRdVertex::XProduct | ( | [in] IRdVertex * | pV,
|  | [out, retval] IRdVertex ** | pCross
| ) |

  | Returns cross product with an arbitrary vector Parameters:
  pV | vector
  pCross | cross product